Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class KeySelectorWatch

    java.lang.Object
      com.saxonica.validate.SelectorWatch
          com.saxonica.validate.KeySelectorWatch

All Implemented Interfaces:
  Watch

    public class KeySelectorWatch

extends SelectorWatch

This class watches the selector for a key or unique constraint

Constructor Summary
`KeySelectorWatch(ConstraintChecker checker, IdentityConstraint uniqueConstraint)`

Method Summary
`void` | `addKeyRef(RefSelectorWatch watch)` Add a RefSelectorWatch to support a keyRef that refers to this key or unique constraints

Methods inherited from class com.saxonica.validate.SelectorWatch
`activate, addFieldValue, close, deactivate, getIdentityConstraint, getOriginDepth, getSelection, setNamespaceResolver, setOriginDepth, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeySelectorWatch

    public KeySelectorWatch(ConstraintChecker checker,
                            IdentityConstraint uniqueConstraint)

Method Detail

### addKeyRef

    public void addKeyRef(RefSelectorWatch watch)

  Add a RefSelectorWatch to support a keyRef that refers to this key or unique constraints

  Parameters:
    `watch` - the RefSelectorWatch which needs to be notified of all values encountered for this key

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.